package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest struct {
	/*
	   当前页码     */
	CurrentPage *int64 `json:"current_page,omitempty" `

	/*
	   每页条数     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   销售渠道     */
	SaleChannel *string `json:"sale_channel,omitempty" `

	/*
	   销售来源     */
	SaleSource *string `json:"sale_source,omitempty" `

	/*
	   交易类型     */
	TradeType *string `json:"trade_type,omitempty" `

	/*
	   门店编码list     */
	ShopCodes *[]string `json:"shop_codes,omitempty" `

	/*
	   结束时间     */
	EndTime *util.LocalTime `json:"end_time,omitempty" `

	/*
	   开始时间     */
	StartTime *util.LocalTime `json:"start_time,omitempty" `
}

func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest) SetCurrentPage(v int64) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest {
	s.CurrentPage = &v
	return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest) SetPageSize(v int64) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest {
	s.PageSize = &v
	return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest) SetSaleChannel(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest {
	s.SaleChannel = &v
	return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest) SetSaleSource(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest {
	s.SaleSource = &v
	return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest) SetTradeType(v string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest {
	s.TradeType = &v
	return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest) SetShopCodes(v []string) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest {
	s.ShopCodes = &v
	return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest) SetEndTime(v util.LocalTime) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest {
	s.EndTime = &v
	return s
}
func (s *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest) SetStartTime(v util.LocalTime) *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest {
	s.StartTime = &v
	return s
}
